Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class ReimbursementAndChildrenType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.ReimbursementAndChildrenType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class ReimbursementAndChildrenType

extends Object
implements Serializable

Java class for ReimbursementAndChildrenType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReimbursementAndChildrenType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="startDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="endDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="deliveryEnvironment" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="referenceBaseInd" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="packageAgreement" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="price" type="{urn:be:fgov:ehealth:samcivics:type:v1}PriceType"/>
             <element name="ampp" type="{urn:be:fgov:ehealth:samcivics:type:v1}AmppAndChildrenType"/>
             <element name="copaymentList" type="{urn:be:fgov:ehealth:samcivics:type:v1}CopaymentType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ReimbursementAndChildrenType()`

Method Summary
`AmppAndChildrenType` | `getAmpp()` Gets the value of the ampp property.
`CopaymentType` | `getCopaymentList()` Gets the value of the copaymentList property.
`String` | `getDeliveryEnvironment()` Gets the value of the deliveryEnvironment property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`String` | `getPackageAgreement()` Gets the value of the packageAgreement property.
`PriceType` | `getPrice()` Gets the value of the price property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`Boolean` | `isReferenceBaseInd()` Gets the value of the referenceBaseInd property.
`void` | `setAmpp(AmppAndChildrenType value)` Sets the value of the ampp property.
`void` | `setCopaymentList(CopaymentType value)` Sets the value of the copaymentList property.
`void` | `setDeliveryEnvironment(String value)` Sets the value of the deliveryEnvironment property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setPackageAgreement(String value)` Sets the value of the packageAgreement property.
`void` | `setPrice(PriceType value)` Sets the value of the price property.
`void` | `setReferenceBaseInd(Boolean value)` Sets the value of the referenceBaseInd property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReimbursementAndChildrenType

    public ReimbursementAndChildrenType()

Method Detail

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

### getDeliveryEnvironment

    public String getDeliveryEnvironment()

  Gets the value of the deliveryEnvironment property.

  Returns:
    possible object is `String`

### setDeliveryEnvironment

    public void setDeliveryEnvironment(String value)

  Sets the value of the deliveryEnvironment property.

  Parameters:
    `value` - allowed object is `String`

### isReferenceBaseInd

    public Boolean isReferenceBaseInd()

  Gets the value of the referenceBaseInd property.

  Returns:
    possible object is `Boolean`

### setReferenceBaseInd

    public void setReferenceBaseInd(Boolean value)

  Sets the value of the referenceBaseInd property.

  Parameters:
    `value` - allowed object is `Boolean`

### getPackageAgreement

    public String getPackageAgreement()

  Gets the value of the packageAgreement property.

  Returns:
    possible object is `String`

### setPackageAgreement

    public void setPackageAgreement(String value)

  Sets the value of the packageAgreement property.

  Parameters:
    `value` - allowed object is `String`

### getPrice

    public PriceType getPrice()

  Gets the value of the price property.

  Returns:
    possible object is `PriceType`

### setPrice

    public void setPrice(PriceType value)

  Sets the value of the price property.

  Parameters:
    `value` - allowed object is `PriceType`

### getAmpp

    public AmppAndChildrenType getAmpp()

  Gets the value of the ampp property.

  Returns:
    possible object is `AmppAndChildrenType`

### setAmpp

    public void setAmpp(AmppAndChildrenType value)

  Sets the value of the ampp property.

  Parameters:
    `value` - allowed object is `AmppAndChildrenType`

### getCopaymentList

    public CopaymentType getCopaymentList()

  Gets the value of the copaymentList property.

  Returns:
    possible object is `CopaymentType`

### setCopaymentList

    public void setCopaymentList(CopaymentType value)

  Sets the value of the copaymentList property.

  Parameters:
    `value` - allowed object is `CopaymentType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.